package com.kingdee.eas.custom.dormitorysystem.waterpower;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractWaterPowerMeterReadingInfo extends com.kingdee.eas.framework.CoreBillBaseInfo implements Serializable 
{
    public AbstractWaterPowerMeterReadingInfo()
    {
        this("id");
    }
    protected AbstractWaterPowerMeterReadingInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object:水电每月抄表信息's 年月property 
     */
    public java.util.Date getYears()
    {
        return getDate("years");
    }
    public void setYears(java.util.Date item)
    {
        setDate("years", item);
    }
    /**
     * Object:水电每月抄表信息's 宿舍编码property 
     */
    public String getDormCode()
    {
        return getString("dormCode");
    }
    public void setDormCode(String item)
    {
        setString("dormCode", item);
    }
    /**
     * Object:水电每月抄表信息's 宿舍房号property 
     */
    public String getDormNumber()
    {
        return getString("dormNumber");
    }
    public void setDormNumber(String item)
    {
        setString("dormNumber", item);
    }
    /**
     * Object:水电每月抄表信息's 用水总吨数property 
     */
    public java.math.BigDecimal getTotalWaterTons()
    {
        return getBigDecimal("totalWaterTons");
    }
    public void setTotalWaterTons(java.math.BigDecimal item)
    {
        setBigDecimal("totalWaterTons", item);
    }
    /**
     * Object:水电每月抄表信息's 用电总度数property 
     */
    public java.math.BigDecimal getTotalElecDegrees()
    {
        return getBigDecimal("totalElecDegrees");
    }
    public void setTotalElecDegrees(java.math.BigDecimal item)
    {
        setBigDecimal("totalElecDegrees", item);
    }
    /**
     * Object:水电每月抄表信息's 当月水吨数property 
     */
    public java.math.BigDecimal getCurMonthWater()
    {
        return getBigDecimal("curMonthWater");
    }
    public void setCurMonthWater(java.math.BigDecimal item)
    {
        setBigDecimal("curMonthWater", item);
    }
    /**
     * Object:水电每月抄表信息's 当月电度数property 
     */
    public java.math.BigDecimal getCurMonthElecDegrees()
    {
        return getBigDecimal("curMonthElecDegrees");
    }
    public void setCurMonthElecDegrees(java.math.BigDecimal item)
    {
        setBigDecimal("curMonthElecDegrees", item);
    }
    /**
     * Object: 水电每月抄表信息 's 抄表人 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getMeterReaPerson()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("meterReaPerson");
    }
    public void setMeterReaPerson(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("meterReaPerson", item);
    }
    /**
     * Object:水电每月抄表信息's 备注property 
     */
    public String getRemark()
    {
        return getString("remark");
    }
    public void setRemark(String item)
    {
        setString("remark", item);
    }
    /**
     * Object:水电每月抄表信息's 是否取消自动计算当月水电property 
     */
    public boolean isCalcInterval()
    {
        return getBoolean("calcInterval");
    }
    public void setCalcInterval(boolean item)
    {
        setBoolean("calcInterval", item);
    }
    /**
     * Object: 水电每月抄表信息 's 宿舍 property 
     */
    public com.kingdee.eas.custom.dormitorysystem.dormitory.DormitoryInfo getDormitory()
    {
        return (com.kingdee.eas.custom.dormitorysystem.dormitory.DormitoryInfo)get("dormitory");
    }
    public void setDormitory(com.kingdee.eas.custom.dormitorysystem.dormitory.DormitoryInfo item)
    {
        put("dormitory", item);
    }
    /**
     * Object:水电每月抄表信息's 电基准读数property 
     */
    public java.math.BigDecimal getElecBaseRead()
    {
        return getBigDecimal("elecBaseRead");
    }
    public void setElecBaseRead(java.math.BigDecimal item)
    {
        setBigDecimal("elecBaseRead", item);
    }
    /**
     * Object:水电每月抄表信息's 水基准读数property 
     */
    public java.math.BigDecimal getWaterBaseRead()
    {
        return getBigDecimal("waterBaseRead");
    }
    public void setWaterBaseRead(java.math.BigDecimal item)
    {
        setBigDecimal("waterBaseRead", item);
    }
    /**
     * Object:水电每月抄表信息's 上次水抄表数property 
     */
    public java.math.BigDecimal getLastWaterVal()
    {
        return getBigDecimal("lastWaterVal");
    }
    public void setLastWaterVal(java.math.BigDecimal item)
    {
        setBigDecimal("lastWaterVal", item);
    }
    /**
     * Object:水电每月抄表信息's 上次电抄表数property 
     */
    public java.math.BigDecimal getLastEleVal()
    {
        return getBigDecimal("lastEleVal");
    }
    public void setLastEleVal(java.math.BigDecimal item)
    {
        setBigDecimal("lastEleVal", item);
    }
    /**
     * Object:水电每月抄表信息's 上次抄表时间property 
     */
    public java.util.Date getLastMeterDate()
    {
        return getDate("lastMeterDate");
    }
    public void setLastMeterDate(java.util.Date item)
    {
        setDate("lastMeterDate", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("73E5AEEC");
    }
}